net.sourceforge.pmd.ast

## Class MethodDeclTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.MethodDeclTest

    public class MethodDeclTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`MethodDeclTest()`

### Method Summary

Methods
`ASTMethodDeclaration` `getMethodDecl(String[] access)`
`static junit.framework.Test` `suite()`
`void` `testAbstract()`
`void` `testFinal()`
`void` `testNative()`
`void` `testPrivate()`
`void` `testProtected()`
`void` `testPublic()`
`void` `testStrict()`
`void` `testSynchronized()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodDeclTest

    public MethodDeclTest()

### Method Detail

#### testPublic

    public void testPublic()
                    throws Throwable

Throws:
  `Throwable`

#### testPrivate

    public void testPrivate()
                     throws Throwable

Throws:
  `Throwable`

#### testProtected

    public void testProtected()
                       throws Throwable

Throws:
  `Throwable`

#### testFinal

    public void testFinal()
                   throws Throwable

Throws:
  `Throwable`

#### testSynchronized

    public void testSynchronized()
                          throws Throwable

Throws:
  `Throwable`

#### testAbstract

    public void testAbstract()
                      throws Throwable

Throws:
  `Throwable`

#### testNative

    public void testNative()
                    throws Throwable

Throws:
  `Throwable`

#### testStrict

    public void testStrict()
                    throws Throwable

Throws:
  `Throwable`

#### getMethodDecl

    public ASTMethodDeclaration getMethodDecl(String[] access)
                                       throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()